Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.services.globalization
Interface ExtendedLanguageListProvider

    public interface ExtendedLanguageListProvider

Portal Service to retrieve the extended language list for the given Portal defined language list. This service takes the list of Portal defined languages which is not allowed to be null and retrieve the list of the languages containing all of the regional variations for the sent in Portal defined languages

Use the WebSphere Portal JNDI portlet service lookup mechanism to locate the ExtendedLanguageListProvider implementation.

Usage Example :

     javax.naming.Context ctx = new javax.naming.InitialContext();
     ExtendedLanguageListProvider service = null;
     try {
       service = (ExtendedLanguageListProvider) ctx.lookup(ExtendedLanguageListProvider.JNDI_NAME);
        } catch(javax.naming.NameNotFoundException ex) {
                 ... error handling ...
        }
      ...
     if (service != null) {
         Set extendedList = service.getExtendedLanguageList(list);
         ......
     }

Since:
  6.1

Field Summary
`static java.lang.String` | `JNDI_NAME` The JNDI name that can be used to lookup instances of this service

Method Summary
`java.util.Set<ULocale>` | `getExtendedLanguageList(LanguageList list)` Retrieves the list of regional variations for the given Portal defined language list.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  The JNDI name that can be used to lookup instances of this service

  See Also:
    Constant Field Values

Method Detail

### getExtendedLanguageList

    java.util.Set<ULocale> getExtendedLanguageList(LanguageList list)

  Retrieves the list of regional variations for the given Portal defined language list.

  Parameters:
    `list` - The Portal defined language list, not allowed to be `null`
  Returns:
    A Set that contains all regional variations Portal supports.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD